Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066850 - Links in help topic in the cartridge manifest needs update.
Summary: Links in help topic in the cartridge manifest needs update.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Dan McPherson
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 08:47 UTC by Liang Xia
Modified: 2015-05-15 00:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 03:08:00 UTC


Attachments (Terms of Use)

Description Liang Xia 2014-02-19 08:47:37 UTC
Description of problem:
Links in help topic returned by RESTAPI needs update. e.g,
links returned by broker/rest/cartridges,
"Getting Started": "https://www.openshift.com/community/videos/getting-started-with-diy-applications-on-openshift"
"Building with MySQL": "http://docs.redhat.com/docs/en-US/OpenShift/2.0/html/User_Guide/sect-User_Guide-Working_With_Database_Cartridges.html"

Version-Release number of selected component (if applicable):
STG(devenv-stage_702)

How reproducible:
always

Steps to Reproduce:
1.Get cartridge list via RESTAPI with path broker/rest/cartridges
2.Check the links returned by above command
3.

Actual results:
Some links are incorrect, e.g,
https://www.openshift.com/community/videos
http://docs.redhat.com/docs/en-US/OpenShift

Expected results:
Valid links are returned.

Additional info:

Comment 1 Dan McPherson 2014-02-19 19:09:42 UTC
https://github.com/openshift/origin-server/pull/4794

Comment 3 Dan McPherson 2014-02-20 04:56:05 UTC
Note:  https://mms.mongodb.com/links/terms-of-service is actually the correct link.  They link to it themselves from the homepage.

https://github.com/openshift/li/pull/2402

Comment 5 openshift-github-bot 2014-02-20 06:07:45 UTC
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/65daeb8dd8bbc3ed58604764c9dd0acc35913674
Bug 1066850 - Fixing urls

Comment 6 openshift-github-bot 2014-02-20 06:07:48 UTC
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/b4972cd80e11d65a60ecf41ec17c2635bd0900b6
Bug 1066850 - Fixing urls

Comment 7 Liang Xia 2014-02-20 08:41:13 UTC
Verified the urls has been fixed on devenv_4399.


Note You need to log in before you can comment on or make changes to this bug.